MetacatUI - Bug #6526

Can’t open https://knb.ecoinformatics.org on IE 8
04/18/2014 03:14 PM - Jing Tao

Status: Resolved Start date: 04/18/2014
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.6.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

| just installed a Windows 7 (64-bit) in VB on my macbook pro. | tried |E 8 to open https://knb.ecoinformatics.org and nothing was
loaded.

There was error icon on the left-bottom. | double clicked and got the message is : "Console is undefined app.js line 7".

History

#1 - 04/23/2014 12:55 PM - Lauren Walker

- Target version set to 1.6.0

#2 - 06/12/2014 05:06 PM - Lauren Walker
- Status changed from New to In Progress

- Assignee set to Lauren Walker

It looks like IE 8 and earlier does not allow use of the console functions, like console.log, unless developer tools are open. And console.debug doesn't
exist at all in IE 8. | added an IE fix for it in loader.js before any other app loading is done. WIll test it in IE 8 soon.

#3 - 09/23/2014 03:26 PM - Lauren Walker

- Status changed from In Progress to Resolved
